<html>
<head>
<title>OgreRenderSystem.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreRenderSystem.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMaterialManager_8h_source.html">OgreMaterialManager.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderSystemCapabilities_8h_source.html">OgreRenderSystemCapabilities.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderTexture_8h_source.html">OgreRenderTexture.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreFrameListener_8h_source.html">OgreFrameListener.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreConfigOptionMap_8h_source.html">OgreConfigOptionMap.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreGpuProgram_8h_source.html">OgreGpuProgram.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePlane_8h_source.html">OgrePlane.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreIteratorWrappers_8h_source.html">OgreIteratorWrappers.h</a>&quot;</code><br/>
</div>
<p><a href="OgreRenderSystem_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines the functionality of a 3D API.  <a href="classOgre_1_1RenderSystem.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderSystem_1_1RenderSystemContext.html">Ogre::RenderSystem::RenderSystemContext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderSystem_1_1Listener.html">Ogre::RenderSystem::Listener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines a listener on the custom events that this render system can raise.  <a href="classOgre_1_1RenderSystem_1_1Listener.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector&lt; DepthBuffer * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#gab02aadb96f4799458080219e1885b1ec">Ogre::DepthBufferVec</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; uint16, <br class="typebreak"/>
DepthBufferVec &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#ga6976cd039d94260fb992a6fd1f072133">Ogre::DepthBufferMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; String, <br class="typebreak"/>
RenderTarget * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#ga0fc2f530f0d042c937e49131cde29245">Ogre::RenderTargetMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef multimap&lt; uchar, <br class="typebreak"/>
RenderTarget * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#ga49f68547d022aa6d7f10745ea069ebd9">Ogre::RenderTargetPriorityMap</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31">Ogre::TexCoordCalcMethod</a> { <br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggaa9c06899edc6b7aed7bf3b29abe9bb31a73546a8946a02a34d7958763e0c1034e">Ogre::TEXCALC_NONE</a>, 
<a class="el" href="group__RenderSystem.html#ggaa9c06899edc6b7aed7bf3b29abe9bb31a414edb1748a8b2bfd8c4699164c46352">Ogre::TEXCALC_ENVIRONMENT_MAP</a>, 
<a class="el" href="group__RenderSystem.html#ggaa9c06899edc6b7aed7bf3b29abe9bb31a516f97319ea6e8a02daef9f13c32303c">Ogre::TEXCALC_ENVIRONMENT_MAP_PLANAR</a>, 
<a class="el" href="group__RenderSystem.html#ggaa9c06899edc6b7aed7bf3b29abe9bb31ad4c1a576294c5fc8a0519783fc9e2eab">Ogre::TEXCALC_ENVIRONMENT_MAP_REFLECTION</a>, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggaa9c06899edc6b7aed7bf3b29abe9bb31aa296599db57208482d35f5d264d61578">Ogre::TEXCALC_ENVIRONMENT_MAP_NORMAL</a>, 
<a class="el" href="group__RenderSystem.html#ggaa9c06899edc6b7aed7bf3b29abe9bb31abcbba9b2c16dc5c57c479dfc486095db">Ogre::TEXCALC_PROJECTIVE_TEXTURE</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum describing the ways to generate texture coordinates.  <a href="group__RenderSystem.html#gaa9c06899edc6b7aed7bf3b29abe9bb31">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61">Ogre::StencilOperation</a> { <br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61abf640cb28b5020509dc27178f0359511">Ogre::SOP_KEEP</a>, 
<a class="el" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61a910e7fedb6c873aaad581cfda6491b8a">Ogre::SOP_ZERO</a>, 
<a class="el" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61acbce9e054c373718a59dd56e51aa762a">Ogre::SOP_REPLACE</a>, 
<a class="el" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61ae56b6038f9552a79b2b1d2ae036da86c">Ogre::SOP_INCREMENT</a>, 
<br/>
&#160;&#160;<a class="el" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61a7faeb919637b85bed8650d8f1baf2ada">Ogre::SOP_DECREMENT</a>, 
<a class="el" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61a6e595fbb31308c6b01f35221903f4706">Ogre::SOP_INCREMENT_WRAP</a>, 
<a class="el" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61ab816aeb027a4e517237d053e5fedc2a7">Ogre::SOP_DECREMENT_WRAP</a>, 
<a class="el" href="group__RenderSystem.html#ggae8bb1cb809660de802d1d592ba4adb61a4f9045fb414071aa89184ce5e88ec474">Ogre::SOP_INVERT</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum describing the various actions which can be taken onthe stencil buffer.  <a href="group__RenderSystem.html#gae8bb1cb809660de802d1d592ba4adb61">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
